Alokai

SapccApiUpdateBudgetRequest

Request parameters for updateBudget operation in SapccApi. SapccApiUpdateBudgetRequest

interface SapccApiUpdateBudgetRequest {
	readonly baseSiteId: string;
	readonly budget: Budget;
	readonly budgetCode: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiUpdateBudget
budgetRequiredBudget{Budget} SapccApiUpdateBudget
budgetCodeRequiredstringBudget GUID or budget code. {string} SapccApiUpdateBudget
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiUpdateBudget
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiUpdateBudget

Referenced Types

On this page